<?php
require_once __DIR__ . '/../dbConfig.php';

$sql = "SELECT * FROM editor";
$stmt = $conn->prepare($sql);
$stmt->execute();
$result = $stmt->get_result();
$row = $result->fetch_assoc();
if (isset($_POST['btnValue'])) {

    $editorContent = $_POST['btnValue'];

    if (empty($row["content"])) {
        $query = "INSERT INTO editor(content,created)VALUES(?, NOW())";
        $statement = $conn->prepare($query);
        $statement->bind_param("s", $editorContent);
        $statement->execute();
    } else {
        $query = "UPDATE editor SET content = ? WHERE id = ?";
        $statement = $conn->prepare($query);
        $statement->bind_param("si", $editorContent, $row["id"]);
        $statement->execute();
    }
}
?>