function save() {
	editor.save().then((outputData) => {
		document.getElementById("loader-icon").style.display = 'inline-block';
		var xmlHttpRequest = new XMLHttpRequest();
		xmlHttpRequest.onreadystatechange = function() {
			if (xmlHttpRequest.readyState == XMLHttpRequest.DONE) {
				document.getElementById("loader-icon").style.display = 'none';
				if (xmlHttpRequest.status == 200) {
					// on success get the response text and
					// insert it into the ajax-example DIV id.
					document.getElementById("ajax-example").innerHTML = xmlHttpRequest.responseText;
				}
				else if (xmlHttpRequest.status == 400) {
					// unable to load the document
					alert('Status 400 error - unable to load the document.');
				}
				else {
					alert('Unexpected error!');
				}
			}
		};
		xmlHttpRequest.open("POST", "ajax-endpoint/save-editor.php", true);
		xmlHttpRequest.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
		xmlHttpRequest.send("btnValue=" + JSON.stringify(outputData));
	}).catch((error) => {
		console.log('Saving failed: ', error)
	});
}